Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.novell.service.security
Interface PasswordIdentity

public interface PasswordIdentity

This interface identifies an object that can have a password set without using the authentication GUI. It is intended that an object implementing this interface also extend the Identity class.

See Also:
  `NdsPasswordIdentity`, `BinderyPasswordIdentity`

Method Summary
`Password` | `getNewPassword()` Return the new password for this identity.
`Password` | `getPassword()` Return the password for this identity.
`void` | `setNewPassword(Password newPassword)` Set the new password for this identity.
`void` | `setPassword(Password password)` Set the password for this identity.

Method Detail

### setPassword

    public void setPassword(Password password)

  Set the password for this identity.

  The password case is preserved. Consequently, it is up to the caller to uppercase the password if needed. This set request should not be confused with the createTokens request which alters a user object's password. This request only sets the memory variable for this identity so that when the login request is made, the identity will already have the password and will not need to prompt the user for one.

  Parameters:
    `password` - The password for this identity.
  See Also:
    `getPassword()`, `setNewPassword(com.novell.service.security.Password)`

### getPassword

    public Password getPassword()

  Return the password for this identity.
  Returns:
    The current password set in this identity (may be NULL).
  See Also:
    `setPassword(com.novell.service.security.Password)`, `getNewPassword()`

### setNewPassword

    public void setNewPassword(Password newPassword)

  Set the new password for this identity.

  This is used when a modifyTokens (i.e. change password) request is going to be made. This new password will be used as the object's new password once the modifyTokens request is completed.

  Parameters:
    `newPassword` - The new password for this identity.
  See Also:
    `getNewPassword()`, `setPassword(com.novell.service.security.Password)`

### getNewPassword

    public Password getNewPassword()

  Return the new password for this identity.
  Returns:
    The new password set in this identity (may be NULL).
  See Also:
    `setNewPassword(com.novell.service.security.Password)`, `getPassword()`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD